!--------1---------2---------3---------4---------5---------6---------7---------8
!
!  Module   qa_option_str_mod
!> @brief   structure of option information
!! @authors Norio Takase (NT)
! 
!  (c) Copyright 2014 RIKEN. All rights reserved.
!
!--------1---------2---------3---------4---------5---------6---------7---------8

#ifdef HAVE_CONFIG_H
#include "../../../config.h"
#endif

module qa_option_str_mod

  use select_atoms_str_mod
  use constants_mod

  implicit none
  private

  ! structures
  type, public :: s_option

    ! check only
    logical                       :: check_only

    ! contact list
    integer,          allocatable :: contact_list(:,:)     ! (2,ncon)
    real(wp),         allocatable :: contact_kai(:)        !   (ncon)

    ! atom selection
    type(s_selatoms), allocatable :: selatoms(:)           !   (ngrp)

    ! contact selection pair
    integer,          allocatable :: contact_sel_pair(:)   !   (ncon)
    integer,          allocatable :: sel_pair_nfound(:)    !   (nspa)
    integer,          allocatable :: sel_pair_ncontact(:)  !   (nspa)

    ! q-native value
    real(wp),         allocatable :: qnative(:)            !   (1+nspa)

  end type s_option

end module qa_option_str_mod
